
<!-- <section *[ngSwitch]="escolhaAte"> -->
    <!-- <section *ngSwitchCase="1"> -->
    <section *ngIf="escolhaAte<=1">
        <h3 class="selecaoTitle">{{titulo}}</h3>
        <mat-radio-group class="selectionGroup">
            <mat-radio-button class="radioButton" *ngFor="let item of itensList" [value]="item.description">{{item.description}}</mat-radio-button>
        </mat-radio-group>
    </section>
    <!-- <section *ngSwitchDefault> -->
    <section *ngIf="escolhaAte>1">
        <div class="selecaoTitle">
            <h3>{{titulo}}</h3>
            <h3 class="subTitle">Escolha até {{escolhaAte}} {{itensSelecteds}}</h3>
        </div>

        <div class="selectionGroup" id="checkboxGroup">
            <mat-checkbox *ngFor="let item of itensList" [(ngModel)]="item.selected" [disabled]="isDone() && !item.selected" >{{item.description}}</mat-checkbox>
        </div>

    </section>
    <!-- <section *ngSwitchCase="0"></section>
    <section *ngSwitchCase="0"></section> -->
<!-- </section> -->
<!-- <div [ngSwitch]="tasks.length">
    <div *ngSwitchCase="0">Nenhuma tarefa</div>
    <div *ngSwitchCase="1">Uma tarefa cadastrada</div>
    <div *ngSwitchDefault>{{tasks.length}} tarefa cadastradas</div>
</div -->